### Method

# FwupdPlugin CborItem get_string

since: 2.1.2

#### Declaration [src]

    gchar*
    fu_cbor_item_get_string (
      FuCborItem* self
      GError** error
    )

#### Description [src]

Gets a string from a CBOR item.

Available since: 2.1.2

This method is not directly available to language bindings.

#### Return value

Type: `gchar*`

A string, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.